org.apache.uima.fit.factory

## Class ResourceMetaDataFactory

- java.lang.Object
- - org.apache.uima.fit.factory.ResourceMetaDataFactory

-     public final class ResourceMetaDataFactory
      extends Object

  Convenience methods to create resource metadata.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `configureResourceMetaData(org.apache.uima.resource.metadata.ResourceMetaData aMetaData, Class<?> aComponentClass)` Adds meta data from a `ResourceMetaData` annotation to the given meta data object if such an annotation is present on the component class.
    `static String` | `getDefaultCopyright(Class<?> aComponentClass)` Get the default copyright of a component class.
    `static String` | `getDefaultDescription(Class<?> aComponentClass)` Get the default description of a component class.
    `static String` | `getDefaultName(Class<?> aComponentClass)` Get the default name of a component class.
    `static String` | `getDefaultVendor(Class<?> aComponentClass)` Get the default vendor of a component class.
    `static String` | `getDefaultVersion(Class<?> aComponentClass)` Get the default version of a component class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### configureResourceMetaData

          public static void configureResourceMetaData(org.apache.uima.resource.metadata.ResourceMetaData aMetaData,
                                                       Class<?> aComponentClass)

      Adds meta data from a `ResourceMetaData` annotation to the given meta data object if such an annotation is present on the component class. If no annotation is present, default values are be added.
      Parameters:
        `aMetaData` - the meta data object to configure.
        `aComponentClass` - the class that may carry the `ResourceMetaData` annotation

    - #### getDefaultCopyright

          public static String getDefaultCopyright(Class<?> aComponentClass)

      Get the default copyright of a component class.
      Parameters:
        `aComponentClass` - the class to analyze
      Returns:
        the default copyright

    - #### getDefaultVersion

          public static String getDefaultVersion(Class<?> aComponentClass)

      Get the default version of a component class.
      Parameters:
        `aComponentClass` - the class to analyze
      Returns:
        the default version

    - #### getDefaultDescription

          public static String getDefaultDescription(Class<?> aComponentClass)

      Get the default description of a component class.
      Parameters:
        `aComponentClass` - the class to analyze
      Returns:
        the default description

    - #### getDefaultVendor

          public static String getDefaultVendor(Class<?> aComponentClass)

      Get the default vendor of a component class.
      Parameters:
        `aComponentClass` - the class to analyze
      Returns:
        the package name of the component, if the component is in a package, otherwise `null`.

    - #### getDefaultName

          public static String getDefaultName(Class<?> aComponentClass)

      Get the default name of a component class.
      Parameters:
        `aComponentClass` - the class to analyze
      Returns:
        the fully qualified name of the class.

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.